// Annihilation shaders
// Gef

// light flare
// Used on the lantern model
models/annihilation/lantern/an_flare
{
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	deformVertexes autoSprite
	cull disable

	{
		map models/annihilation/lantern/an_flare.tga
		blendFunc GL_ONE GL_ONE
	}
}


// Lantern models textures
models/annihilation/lantern/lantern
{
	cull disable
	surfaceparm alphashadow
	nopicmip

	{
		map $lightmap
		rgbGen identity
		depthFunc equal
	}
	{
		map models/annihilation/lantern/lantern.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
		rgbGen identity
	}
}

// Test palm tree frond(leaf) texture
models/annihilation/plants/palmfrond
{
	surfaceparm alphashadow
	nopicmip
	cull disable

	{
		map models/annihilation/plants/palmfrond.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// Country side sky box
textures/annihilation/an_townskybox
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun .5 .37 .19 70 170 33
	q3map_surfacelight 80
	skyparms env/an_town/an_townsky - -
}

// Barbed wire
textures/annihilation/barbed_wire_trans
{
	qer_editorimage textures/annihilation/barbed_wirea.tga
	cull disable

	{
		map textures/annihilation/barbed_wirea.tga
		rgbGen identity
		alphaFunc GE128
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		depthFunc equal
	}
}

// Chain links
textures/annihilation/chainlinks
{
	qer_editorimage textures/annihilation/chainlink.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none

	{
		map textures/annihilation/chainlink.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// Small garden fence
textures/annihilation/fence
{
	qer_editorimage textures/annihilation/fence.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/annihilation/fence.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// While light globe
// Light 1500
textures/annihilation/lightglobe
{
	qer_editorimage textures/annihilation/white.tga
	q3map_lightimage textures/annihilation/orange.tga
	surfaceparm nomarks
	surfaceparm trans
	qer_trans 0.5
	q3map_surfacelight 15000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/annihilation/white.tga
		blendfunc add
		rgbGen identity
	}
}

// Light globe texture
// Light 8000
textures/annihilation/lightglobe_8000
{
	qer_editorimage textures/annihilation/white.tga
	q3map_lightimage textures/annihilation/orange.tga
	surfaceparm nomarks
	surfaceparm trans
	qer_trans 0.5
	q3map_surfacelight 8000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/annihilation/white.tga
		blendfunc add
		rgbGen identity
	}
}

// Tree texture
textures/annihilation/lovvark
{
	qer_editorimage textures/annihilation/lovvark.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/annihilation/lovvark.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// Crappy moon shader
textures/annihilation/moon
{
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	deformVertexes autosprite

	{
		map textures/annihilation/moon.tga
		blendfunc blend
		rgbGen identity
	}
}

// Flat ocean surface
textures/annihilation/ocean_water_flat
{
	qer_editorimage textures/annihilation/ocean.tga
	qer_trans .5
	qer_nocarve
	q3map_globaltexture
	surfaceparm noimpact
	surfaceparm water
	surfaceparm trans
	surfaceparm nonsolid
	cull disable
	{
		map textures/liquids/pool3d_5e.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale 0.5 0.5
		tcmod scroll 0.025 0.01
	}
	{
		map textures/annihilation/ocean.tga
		blendFunc GL_dst_color GL_one
		tcmod scale 1.0 1.0
		tcmod scroll 0.025 0.025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
	
}

// Undulating ocean surface
textures/annihilation/ocean_water_ripple
{
	qer_editorimage textures/annihilation/ocean.tga
	qer_trans .5
	qer_nocarve
	q3map_globaltexture
	surfaceparm noimpact
	surfaceparm water
	surfaceparm trans
	surfaceparm nonsolid
	cull disable
	deformVertexes wave 128 sin 0.5 0.5 0 0.5

	{
		map textures/liquids/pool3d_5e.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale 0.5 0.5
		tcmod scroll 0.025 0.01
	}
	{
		map textures/annihilation/ocean.tga
		blendFunc GL_dst_color GL_one
		tcmod scale 1.0 1.0
		tcmod scroll -0.025 -0.025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
}

// Pine tree shader
textures/annihilation/pine
{
	qer_editorimage textures/annihilation/pine.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/annihilation/pine.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// Small red tunnel light
textures/annihilation/red_tunnel_light_2000
{
	qer_editorimage textures/annihilation/redglobe.tga
	q3map_lightimage textures/annihilation/redglobe.tga
	surfaceparm nomarks
	q3map_surfacelight 2000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/annihilation/redglobe.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/annihilation/redglobe.tga
		blendfunc add
		rgbGen identity
	}
}

// Redwood tree
textures/annihilation/redwood
{
	qer_editorimage textures/annihilation/redwood.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/annihilation/redwood.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// Small weed
textures/annihilation/weed
{
	qer_editorimage textures/annihilation/weed.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/annihilation/weed.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// Annihilation ladder
textures/common/ladderclip
{
	qer_editorimage textures/annihilation/ladder.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
}

// New Annihilation tree's
// Tree 1
// Gef - Jan 24
textures/annihilation/tree1
{
	qer_editorimage textures/annihilation/tree1.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/annihilation/tree1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}    

// Tree 2
// Gef - Jan 24
textures/annihilation/tree2
{
	qer_editorimage textures/annihilation/tree2.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/annihilation/tree2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}    

